Introduction

The FTP Client allows you to manage the web sites on your remote servers using the File Transfer Protocol. With the FTP Client, you can manually maintain files and folders on your remote servers just as you can on your local hard drive. If you are simply looking to upload web site files after you modify them, please see the help topic on the Publish Wizard in the Spider Writer HTML Editor help. To get you immediately on your way into using the software, please take a few minutes to read this help file to give yourself a good idea of what the system can do.

To quickly acquaint yourself with the design of the program, please look at the Menu and Toolbar Commands topics. To start with your first transfer, see the Connecting to an FTP Site and File Transfers topics.

Requirements

The keep connection alive and change file attributes features require Microsoft Internet Explorer 5.0 or higher.

Contacting the Spider Writer Support Staff

The creators of Spider Writer have worked hard to provide a very complete editing system to meet the needs of today's web developers. If you have any comments or suggestions about this software, please send them to suggestions@spiderwriter.com. Your input is greatly appreciated.

For support-related issues, write our support staff at support@spiderwriter.com.

For more information about the Spider Writer suite or for the latest updates, visit our web site at http://www.spiderwriter.com. Thank you for your support!

Legal Notices

Spider Writer is a trademark of Actipro Software LLC and is protected by copyright laws


Menu and Toolbar Commands

The following table describes the menu and toolbar commands and lists their shortcut keys, if any.

Command | Description | Shortcut
Connect | Displays the FTP sites dialog and lets you connect to an FTP site | CTRL+ALT+C
Disconnect | Disconnects from the current FTP site | CTRL+ALT+D
Refresh | Refreshes the file list | F5
Cut | Cuts file(s) - local only | CTRL+X
Copy | Copies file(s) - local only | CTRL+C
Paste | Pastes file(s) - local only | CTRL+V
Delete | Deletes a file | Del
Change File Attributes | Changes the permission attributes of a file or files. |
View in File Viewer | Views a file in the File Viewer |
View Externally | Views a file with an external viewer |
Execute | Runs an application | CTRL+E
Rename | Renames a file |
Put Files | Uploads file(s) | CTRL+P
Get Files | Downloads file(s) | CTRL+G
Move Up One Directory Level | Moves up one level in the directory structure |
Change Directory | Changes to a specified directory . remote only |
Make Directory | Creates a directory |
Remove Directory | Deletes a directory |
Settings | Displays the Settings dialog |
File AutoView | Sets whether the File Viewer automatically loads known file types when they are highlighted on the local side |
Auto | Sets the transfer mode to automatic |
ASCII | Sets the transfer mode to ASCII |
Binary | Sets the transfer mode to binary |
List View | Changes the file list view mode to list |
Detail View | Changes the file list view mode to detail |
Help Topics | Opens this help file | F1
About Spider Writer FTP Client | Displays program information |


Settings

The Settings dialog is available from the Options menu. The Settings dialog allows you to configure the Spider Writer FTP Client more to your liking.

You can choose the default file transfer mode (automatic, ASCII, or binary). You can also designate what file extensions should be considered text files when the default file transfer mode is set to automatic.

If you have Internet Explorer 5.0 or higher, you can set the Keep Connections Alive checkbox to make the FTP Client send NOOP FTP commands every 60 seconds while idle and connected to a remote site..


Connecting to an FTP Site

To connect to an FTP site, press the Connect button. This button opens the FTP Sites dialog, which stores information about all your favorite FTP sites. The last site to which you connected should appear if you've used the FTP Client before.

Creating a FTP Session Profile

To create a new session profile press the New button and enter the required information such as a description for the site, FTP address, user name, password, etc. If you wish for the local side of the FTP Client to automatically browse to a certain directory whenever you connect to this site, enter the directory name in the text box. A default remote directory can also be set up in the same fashion. Press Save to save your new session.

Removing a Session Profile

To remove a session, choose it in the drop-down list of sessions and press the Delete button.

Connecting to a Site

Once you have selected the site to which you wish to connect and have entered all the necessary information, press the OK button to connect or Cancel to cancel connecting.


Disconnecting from an FTP Site

To close an FTP session, click the Disconnect button. If you wish to exit the FTP Client, press the Close button.


File Operations

You can manage both your local hard drive and remote sites with the Spider Writer FTP Client. For the Local side, you can move files using cut, copy, and paste, delete or rename files, view files, and execute files. Remotely, you can delete or rename files, change file attributes, and view files with their associated application.

On certain web servers, files can be assigned different permission attributes using the CHMOD FTP command. There are three types of permission groupings: owner, group, and public. To modify the permissions of a file or group of files, select the files to modify, and execute the Change File Attributes command. This command displays the File Attributes dialog window. On this dialog, you can modify the Read, Write, and Execute permissions for each of the three groups. The resulting security code is displayed in the Manual Entry textbox. In this textbox, the first digit indicates owner permissions, the second indicates group permissions, and the third indicates public permissions. Each of the three digits are a sum of permission values. Read permission has a value of 4, write permission is 2, and execute permission is 1. For example, if you wanted an owner of a file to have Read, Write, and Execute permissions, the group to have Read and Write, and public to only have Read, the security code would be 764. 7 is from (4+2+1), 6 is from (4+2), and 4 is from 4. Note that this feature requires that Internet Explorer 5.0 or higher is installed.

See the File Transfers section for information detailing how to transfer files between the local drive and a remote site.


File Transfers

The FTP Client's main purpose is to provide easy ways to transfer files between local and remote sites. To upload files to a remote site, highlight the desired files in the local file list and either drag and drop them to the remote file list or execute the Put command from the Transfer menu. To download files from a remote site, highlight the desired files in the remote file list and either drag and drop them to the local file list or execute the Get command from the Transfer menu.

If you would like to set a transfer mode (binary or ASCII), do so before commencing the transfer. A transfer mode setting of auto will have the FTP Client determine whether to use binary or ASCII transferring based on a file's extension, as defined in the Settings.

Batch transferring files is very easy in the FTP Client. Multiple file selections can be made by holding the Ctrl key and clicking on a file. Holding Shift while clicking on files can highlight a group of files.

When the file transfer begins, a file transfer screen will appear. This window displays status information about the transfer in progress, the queue of files left to transfer, and the list of transfers completed so far. When the transfer queue is complete, the application will beep.


Directory Operations

The Spider Writer FTP Client supports several directory operations. These are available from the Directory menu. The results of these operations are based on whether the local or remote side of the FTP Client has focus. These operations allow you to move up a directory level, change to a specific directory (remote only), make a directory, and remove a directory. You can also right-click on a folder in the local or remote side to access a context menu with these directory options.


File Viewer

The File Viewer provides an easy mechanism to view text files and image files without having to open another application. If File AutoView is set, simply clicking on a file in the local file list will display it in the File Viewer if it is a recognized file type. If File AutoView is not set, you can manually view files by highlighting a file and selecting the View in File Viewer command on the File menu.

When the File Viewer views text files, it displays the size of the file and the number of lines it is. The FTP Client also attempts to determine what type of file the document is and displays it in appropriate syntax highlighting.

When the File Viewer views image files, it scales them to fit within the confines of the window and shows the width, height, and size of the image as it normally would appear.